%define upstream_name    Object-Declare
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Declarative object constructor
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sub::Override)
BuildArch: noarch

%description
This module exports one function, 'declare', for building named objects
with a declarative syntax, similar to how the Jifty::DBI::Schema manpage
defines its columns.

In list context, 'declare' returns a list of name/object pairs in the order
of declaration (allowing duplicates), suitable for putting into a hash. In
scalar context, 'declare' returns a hash reference.

Using a flexible 'import' interface, one can change exported helper
functions names (_declarator_), words to link labels and values together
(_copula_), and the table of named classes to declare (_mapping_):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 371091
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 111303
- imported package perl-Object-Declare

